Package twisted :: Package conch :: Module checkers :: Class SSHPublicKeyDatabase

[frames | no frames]

## Class SSHPublicKeyDatabase

Method Summary
| `checkKey(self, credentials)`
| `requestAvatarId(self, credentials)`

Class Variable Summary
`class` | `__implements__` = `twisted.cred.checkers.ICredentialsChecker`
`tuple` | `credentialInterfaces` = `(<class twisted.conch.credentials...`

Class Variable Details

### credentialInterfaces

  Type:
    `tuple`
  Value:

        (<class twisted.conch.credentials.ISSHPrivateKey at 0x87f2c14>,)

Generated by Epydoc 2.0 on Sat May 15 20:07:53 2004 | http://epydoc.sf.net